MoveOn.org is a radical liberal political activist group with 3.3 million members in the United States. MoveOn.org says they  bring "real Americans back into the political process".[1] The liberal demagogue George Soros and a partner donated five million dollars in 2004 in an unsuccessful attempt to defeat the reelection of President George W. Bush.[2]  MoveOn.org participates in the Americans Against Escalation in Iraq coalition.[3]  The Washington Post cited MoveOn.org along with the liberal anti-Semitic group, A.N.S.W.E.R., as one of the early opponents of removing the fascist regime of Saddam Hussein.[4]
 Peter D. Feaver of the Boston Globe noted on the sixth anniversary of the September 11, 2001 terrorist attacks,
 The U.S. Senate, in response to the public outcry against the liberal activist organization's conduct, voted 72-25 to condemn MoveOn.org. 23 Democratic Senators added the voices of their constituents to the general sense of indignation MoveOn.org, subsidized by the New York Times, brought to civic discourse on a critical discussion regarding national security. Of the Democratic presidential candidates, Sens. Joe Biden and Barack Obama were absent, though Obama had voted 20 minutes earlier on a Democratic effort to circumvent the amendment. Sens. Hillary Clinton and Chris Dodd voted against condemning MoveOn.org's guilt by association smear.[7]
 The New York Times which carried the ad, gave a discount to the radical group.  The American Conservative Union has filed a complaint with the Federal Election Commission against both the New York Times and MoveOn.org to investigate if the discount constituted a corporate soft money contribution to a federal political committee.[8]
 A fictitious creation of MoveOn.org meant to represent the merger of corporations and the Republican party. At the final debate between Conway and Rand Paul, a woman protester from MoveOn wearing a blonde wig, attempted to reach Paul and give him a Republicorp award before the audience wrestled her to the ground.[9]
 ↑ Mobilizing Online Against War, By Cynthia L. Webb, Washington Post, March 11, 2003.
 ↑ MoveOn's McCarthy moment, By Peter D. Feaver, Boston Globe, September 11, 2007.
 ↑ MoveOn.org Calls Petraeus a Traitor, Do Democrats in Congress agree?, by Pete Hegseth, Weekly Standard, 09/09/2007.
 ↑ Senate Votes to Condemn MoveOn for Ad Attacking General Petraeus, FOX News, September 20, 2007.
 ↑ MOVEON PROTESTER STOMPED ON AT KENTUCKY SENATE DEBATE, october 25, 2010
 MoveOn.org "Let us not assassinate this lad further, senator. You have done enough. Have you no sense of decency, sir, at long last? Have you left no sense of decency?" MoveOn.org  “
  In the spring of 1954, the US Senate convened hearings at the instigation of Senator Joseph McCarthy to press his anticommunist investigations into the Department of the Army....the American public was able to witness firsthand the tactics McCarthy used to intimidate his foes. ...At a critical moment ... Welch turned to McCarthy and memorably intoned: "Let us not assassinate this lad further, senator. You have done enough. Have you no sense of decency, sir, at long last? Have you left no sense of decency?" It was remarkable political theater ... We may be about to witness a McCarthy-Army-Welch moment in the debate over Iraq. This time, the role of McCarthy is played by MoveOn.org, a liberal political group that launched its own attack on a respected US Army figure. In yesterday's New York Times, the day that General David Petraeus would give his long-awaited, congressionally mandated report on his military activities in Iraq, MoveOn.org ran a full-page advertisement that accused Petraeus of activities befitting a traitor. The advertisement alleges, without evidence, that Petraeus is not going to give his honest, professional assessment...The MoveOn.org ad is vicious ... a deliberate attack on the senior Army commander, in a major daily newspaper, with the intention of destroying as much of his credibility as possible...part of an elaborate effort to undermine public support for the Iraq war, and was foreshadowed by an unnamed Democratic senator who told a reporter, "No one wants to call [Petraeus] a liar on national TV . . . The expectation is that the outside groups will do this for us." The effort is funded by powerful special interests, and has all the trappings of a major political campaign.[5][6]
  ”
 v • d • e
 Liberal Characteristics and Traits IdeologyAtheism • Evolutionism • Eugenics • Globalism • Global warming alarmism • Hollywood values • Moral relativism • New age movement •  Population control • Professor values • Scientology • Socialism • Values • WiccaPolicyAbortion • Birth control • Affirmative action • Gun control • Homosexual agenda • Income redistribution • Nanny State • Nationalization • Obamacare • Politically correct • Prayer censorship • Social Justice • StatismTools Alinsky's "Rules for Radicals" • Cloward and Piven Strategy • Biased grading • Censorship • Hate speech • Judicial activism • Lies • Liberal intolerance • Liberal logic • Mainstream Media • Myths • Network abuse • Obfuscation • Pay to play • Redefinition • Revisionism • Scientific fascism • Slander • Traps • Tricks • Vandalism • Video game industryTraitsArrogance • Bias • Bigotry • Bullying • Class warfare • Cronyism • Deceit • Double standard • Denial • Hypocrisy • Journalistic malpractice • Propaganda • Race baiting • Stupidity • Style • Troll • Uncharitableness • WhiningOtherLabor Unions • Liberals and friendship • Media elite • George Soros • Liberal quotient • Nihilism • Pornography • Public schools  Ideology Atheism • Evolutionism • Eugenics • Globalism • Global warming alarmism • Hollywood values • Moral relativism • New age movement •  Population control • Professor values • Scientology • Socialism • Values • Wicca  Policy Abortion • Birth control • Affirmative action • Gun control • Homosexual agenda • Income redistribution • Nanny State • Nationalization • Obamacare • Politically correct • Prayer censorship • Social Justice • Statism  Tools  Alinsky's "Rules for Radicals" • Cloward and Piven Strategy • Biased grading • Censorship • Hate speech • Judicial activism • Lies • Liberal intolerance • Liberal logic • Mainstream Media • Myths • Network abuse • Obfuscation • Pay to play • Redefinition • Revisionism • Scientific fascism • Slander • Traps • Tricks • Vandalism • Video game industry  Traits Arrogance • Bias • Bigotry • Bullying • Class warfare • Cronyism • Deceit • Double standard • Denial • Hypocrisy • Journalistic malpractice • Propaganda • Race baiting • Stupidity • Style • Troll • Uncharitableness • Whining  Other Labor Unions • Liberals and friendship • Media elite • George Soros • Liberal quotient • Nihilism • Pornography • Public schools MoveOn.org Contents Have you no sense of decency? Congressional condemnation FEC investigation Republicorp See also References External links Navigation menu Personal tools Namespaces Variants Views More 
Search
 Popular Links donate Edit Console 
